[all]
copyright=(C) 2009, cFos Software GmbH
designer=Ingo Guenther
version=cFosSkin V1.0
name=Logitech G19
type=net,comport
background=background.jpg
background2=background2.png
main_rect=0,0,320,240
blend_time=300
blend_out_time=500
transparentcolor=255,0,0
logitech_key5=disp95
logitech_key6=disp96
logitech_key7=disp97
logitech_key8=disp98
logitech_key9=disp99

; font definitions
[slotname]
fontname=Trebuchet MS
fontsize=14
fontweight=bold
fontcolor=255,255,255
shadow_x=1
shadow_y=1
shadow_color=0,0,0

; latency mode
[disp1]
value=latency_mode
method=animation
rect=296,10,310,20
bitmap=latency.png
frames=3
min=0
max=2
updatetime=400

; "tx shape" effect
[disp2]
method=animation
value=tx_shape_effect
rect=274,7,287,22
bitmap=tx_shape.png
frames=10
min=0
max=9
update_time=400
;alpha_val=180

; rx/tx activity indicator
[disp3]
method=delta
value=rx_data_cnt
disp=rx_activity
updatetime=200

[rx_activity]
method=motion
rect=7,35,26,54
bitmap=rx_active.png
frames=8
min=1
updatetime=200

[disp4]
method=delta
value=tx_data_cnt
disp=tx_activity
updatetime=200

[tx_activity]
method=motion
rect=7,58,26,77
bitmap=tx_active.png
frames=8
min=1
updatetime=200

[disp5]
value=open
method=animation
bitmap=tcp.png
rect=125,35,147,56
min=0
max=1
frames=2

[disp6]
method=animation
value=variance_index
rect=270,38,316,72
bitmap=variance.png
frames=41
min=0
max=40
update_time=400

; text displays
[disp7]
method=text
value=rx_cps
digits=5
rect=30,30,105,53
fontname=Trebuchet MS
fontsize=22
fontweight=bold
fontcolor=255,127,0
shadow_x=1
shadow_y=1
shadow_color=0,0,0
style=d
decimals=1
flags=b
format=r
updatetime=200

[disp8]
method=text
value=tx_cps
digits=5
rect=30,53,105,76
fontname=Trebuchet MS
fontsize=22
fontweight=bold
fontcolor=38,191,0
shadow_x=1
shadow_y=1
shadow_color=0,0,0
style=d
decimals=1
flags=b
format=r
updatetime=200

[disp9]
method=text
value=tcp_udp_cnt
digits=3
rect=135,30,195,53
fontname=Trebuchet MS
fontsize=22
fontweight=bold
fontcolor=232,225,24
shadow_x=1
shadow_y=1
shadow_color=0,0,0
format=r
flags=br
updatetime=200

[disp10]
method=text
value=tcp_cnt
digits=3
rect=193,36,227,52
fontname=Trebuchet MS
fontsize=16
fontweight=bold
fontcolor=80,190,255
shadow_x=1
shadow_y=1
shadow_color=0,0,0
format=r
flags=br
updatetime=200

[disp11]
method=text
value=udp_cnt
digits=3
rect=229,36,259,52
fontname=Trebuchet MS
fontsize=16
fontweight=bold
fontcolor=255,100,200
shadow_x=1
shadow_y=1
shadow_color=0,0,0
format=r
flags=br
style=e
updatetime=200

[disp12]
method=text
value=ping_time
digits=3
rect=135,53,195,76
fontname=Trebuchet MS
fontsize=22
fontweight=bold
fontcolor=240,240,240
shadow_x=1
shadow_y=1
shadow_color=0,0,0
format=r
flags=br
updatetime=200

; slot graph grid
[disp20]
method=motion
value=rx_cps
min=0
rect=6,226,314,234
bitmap=grid.png
updatetime=400

; slot graphs
[disp21]
method=history
value=total_tx_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=4
line_color=24,124,0
zero_blank=1

[disp22]
method=history
value=total_rx_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=4
line_color=128,65,0
zero_blank=1

[disp23]
method=history
value=slot10_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=153,153,153
zero_blank=1

[disp24]
method=history
value=slot9_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=38,192,0
zero_blank=1

[disp25]
method=history
value=slot8_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=255,130,0
zero_blank=1

[disp26]
method=history
value=slot7_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=192,0,192
zero_blank=1

[disp27]
method=history
value=slot6_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=146,59,228
zero_blank=1

[disp28]
method=history
value=slot5_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=3,0,192
zero_blank=1

[disp29]
method=history
value=slot4_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=39,128,220
zero_blank=1

[disp30]
method=history
value=slot3_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=0,192,192
zero_blank=1

[disp31]
method=history
value=slot2_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=190,191,0
zero_blank=1

[disp32]
method=history
value=slot1_speed
updatetime=400
historysize=78
max=100
rect=5,83,313,234
line_size=3
line_color=192,0,0
zero_blank=1

; Slot name background
[disp39]
method=animation
value=open
rect=0,79,120,240
bitmap=slot_back.png
frames=2
min=0
max=1
alpha_val=130
blend_time=2800
blend_out_time=500
enabled=0

;Slot colors
[disp40]
method=animation
value=open
rect=7,84,10,235
bitmap=slot_colors.png
frames=2
min=0
max=1
blend_time=2800
blend_out_time=500
enabled=0

; Slot names
[disp41]
method=text
value=slot1_name
rect=11,80,130,96
font=slotname
digits=15
enabled=0

[disp42]
method=text
value=slot2_name
rect=11,93,130,109
font=slotname
digits=15
enabled=0

[disp43]
method=text
value=slot3_name
rect=11,106,130,122
font=slotname
digits=15
enabled=0

[disp44]
method=text
value=slot4_name
rect=11,119,130,135
font=slotname
digits=15
enabled=0

[disp45]
method=text
value=slot5_name
rect=11,132,130,148
font=slotname
digits=15
enabled=0

[disp46]
method=text
value=slot6_name
rect=11,145,130,161
font=slotname
digits=15
enabled=0

[disp47]
method=text
value=slot7_name
rect=11,158,130,174
font=slotname
digits=15
enabled=0

[disp48]
method=text
value=slot8_name
rect=11,171,130,187
font=slotname
digits=15
enabled=0

[disp49]
method=text
value=slot9_name
rect=11,184,130,200
font=slotname
digits=15
enabled=0

[disp50]
method=text
value=slot10_name
rect=11,197,130,213
font=slotname
digits=15
enabled=0

[disp51]
method=text
value=-Receive NT
rect=11,210,130,226
font=slotname
digits=15
enabled=0

[disp52]
method=text
value=-Send NT
rect=11,223,130,239
font=slotname
digits=15
enabled=0

[disp95]
method=activearea
bitmap=arrow_left.png
rect=273,87,286,110
action=exec
target=mshta.exe
parameters="~p\pub\console.htm"
regions=0

[disp96]
method=activearea
bitmap=arrow_right.png
rect=297,87,310,110
action=toggle
target=disp39,disp40,disp41,disp42,disp43,disp44,disp45,disp46,disp47,disp48,disp49,disp50,disp51,disp52
regions=0

[disp97]
method=activearea
bitmap=arrow_up.png
rect=280,80,303,93
action=spdcmd
target=gset latency 1 -save
regions=0

[disp98]
method=activearea
bitmap=arrow_down.png
rect=280,104,303,117
action=spdcmd
target=gset latency 2 -save
regions=0

[disp99]
method=activearea
bitmap=button_ok.png
rect=283,90,300,107
action=exec
target=http://www.cfos.de/$l/cfosspeed/documentation/status.htm
regions=0

[disp100]
value=expired
method=animation
bitmap=expired.png
rect=0,0,320,240
min=0
max=1
frames=2
